%global shortname doctrine

Name:           nodejs-doctrine
Version:        1.2.2
Release:        1%{?dist}
Summary:        A JSDoc parser

# README.md states that some functions are 'derived' from esprima (BSD) and
# some 'extensions' are 'derived' from closure-compiler (ASL 2.0)
License:        BSD and ASL 2.0

URL:            https://github.com/Constellation/doctrine
Source0:        http://registry.npmjs.org/%{shortname}/-/%{shortname}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(should)
BuildRequires:  npm(esutils)
BuildRequires:  npm(isarray)

%description
%{shortname} is %{summary}.

%prep
%setup -qn package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep esutils

%build
# Nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{shortname}/
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{shortname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

# Test dep 'describe' is not packaged for Fedora yet
for test in $(ls test/ | grep -v {midstream,parse}.js); do
    node test/${test}
done

%files
%{!?_licensedir:%global license %doc}
%{nodejs_sitelib}/%{shortname}
%doc *.md
# LICENSE.BSD and LICENSE.esprima are identical, so only one is included
%license LICENSE.BSD LICENSE.closure-compiler


%changelog
* Sun Jul 31 2016 Jared Smith <jsmith@fedoraproject.org> - 1.2.2-1
- Update to upstream 1.2.2 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Mar 07 2015 Gerard Ryan <galileo@fedoraproject.org> - 0.6.4-1
- Initial package
